<?php
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

$apiRoute = [
    'api/album/get-banner' => ['real' => 'Api/V1/Album/albumGetBanner','method'=>'get','auth'=>false],
    'api/album/xyx_login' => ['real' => 'Api/V1/Album/albumXyxLogin','method'=>'post','auth'=>false],
    'api/album/cat' => ['real' => 'Api/V1/Album/albumCat','method'=>'get','auth'=>false],
    'api/album/album/setting' => ['real' => 'Api/V1/Album/albumSetting','method'=>'get','auth'=>false],
    'api/album/customer-goods' => ['real' => 'Api/V1/Album/albumCustomerGoods','method'=>'post','auth'=>true],
    'api/album/customer-goods-detail' => ['real' => 'Api/V1/Album/albumCustomerGoodsDetail','method'=>'post','auth'=>true],
    'api/album/album/get-count-favorite' => ['real' => 'Api/V1/Album/albumGetCountOfFavorite','method'=>'post','auth'=>true],
    'api/album_boss/get_top' => ['real' => 'Api/V1/AlbumBoss/getTop','method'=>'get','auth'=>true],
    'api/album_boss/agent_customer' => ['real' => 'Api/V1/AlbumBoss/agentCustomer','method'=>'post','auth'=>true],
    'api/album_boss/agent_statistical' => ['real' => 'Api/V1/AlbumBoss/agentStatistical','method'=>'post','auth'=>true],
    'api/album_boss/agent_overview_active' => ['real' => 'Api/V1/AlbumBoss/albumOverviewActive','method'=>'post','auth'=>true],
    'api/album_boss/agent_overview_left' => ['real' => 'Api/V1/AlbumBoss/albumOverviewLeft','method'=>'post','auth'=>true],
    'api/album_boss/agent_overview_favorite' => ['real' => 'Api/V1/AlbumBoss/albumOverviewFavorite','method'=>'post','auth'=>true],
    'api/album_boss/agent_overview_new' => ['real' => 'Api/V1/AlbumBoss/albumOverviewNew','method'=>'post','auth'=>true],
    'api/album_boss/agent_analysis' => ['real' => 'Api/V1/AlbumBoss/agentAnalysis','method'=>'post','auth'=>true],
    'api/album_boss/agent_overview_call' => ['real' => 'Api/V1/AlbumBoss/albumOverviewCall','method'=>'post','auth'=>true],
    'api/album_boss/agent_overview_funnel' => ['real' => 'Api/V1/AlbumBoss/albumOverviewFunnel','method'=>'post','auth'=>true],
    'api/album_boss/boss_interactive' => ['real' => 'Api/V1/AlbumBoss/BossInteractive','method'=>'get','auth'=>true],
    'api/album/get_data_goods' => ['real' => 'Api/V1/Album/albumGetDataGoods','method'=>'post','auth'=>true],
    'api/album_post/info' => ['real' => 'Api/V1/AlbumPoster/posterInfo','method'=>'post','auth'=>true],
    'api/album_post/download' => ['real' => 'Api/V1/AlbumPoster/posterDownload','method'=>'post','auth'=>true],
    'api/album/get-customer' => ['real' => 'Api/V1/Album/albumGetCustomer','method'=>'get','auth'=>true],
    'api/album/set-customer' => ['real' => 'Api/V1/Album/albumSetCustomer','method'=>'post','auth'=>true],
    'api/album/statistical' => ['real' => 'Api/V1/Album/albumStatistical','method'=>'post','auth'=>true],
    'api/album/get_statistical' => ['real' => 'Api/V1/Album/albumGetStatistical','method'=>'post','auth'=>true],
    'api/album/get_data_cat' => ['real' => 'Api/V1/Album/albumGetDataCat','method'=>'post','auth'=>true],
    'api/album/get_data_cat_single' => ['real' => 'Api/V1/Album/albumGetDataCatSingle','method'=>'post','auth'=>true],
    'api/album/favorite_list' => ['real' => 'Api/V1/Album/albumFavoriteList','method'=>'get','auth'=>true],
    'api/album/favorite_del' => ['real' => 'Api/V1/Album/albumFavoriteDel','method'=>'get','auth'=>true],
    'api/album/get_user_info' => ['real' => 'Api/V1/Album/albumGetUserInfo','method'=>'get','auth'=>true],
    'api/album/goods' => ['real' => 'Api/V1/Album/albumGoods','method'=>'get','auth'=>true],
    'api/album/goods-detail' => ['real' => 'Api/V1/Album/albumGoodsDetail','method'=>'get','auth'=>true],
    'api/album/set-price' => ['real' => 'Api/V1/Album/albumSetPrice','method'=>'get','auth'=>true],


];
/*$auth = [
    'Api/V1/Album/albumGoods' => 'post',
    'Api/V1/Album/albumCustomerGoods' => 'post',
    'Api/V1/Album/albumCustomerGoodsDetail' => 'post',
    'Api/V1/Album/albumGetCountOfFavorite' => 'post',
    'Api/V1/AlbumBoss/getTop' => 'post',
    'Api/V1/AlbumBoss/agentCustomer' => 'post',
    'Api/V1/AlbumBoss/agentStatistical' => 'post',
    'Api/V1/AlbumBoss/albumOverviewActive' => 'post',
    'Api/V1/Album/albumGoods' => 'post',
    'Api/V1/Album/albumGoods' => 'post',
];*/
Route::get('/addons/furnitureWe7/public/', [
    'as' => 'attachment.download',
    'uses' => 'Web\AttachmentController@download',
]);
Route::get('image/{md5}', [
    'as' => 'attachment.image',
    'uses' => 'Web\AttachmentController@image',
]);


if (request()->input('route') == 'geetest') {
    Route::any('/', 'Germey\Geetest\GeetestController@getGeetest');
}

//后台
if (strpos(request()->getRequestUri(), '/addons/') !== false) {
    //如未设置当前公众号则加到选择公众号列表
    if (strpos(request()->getRequestUri(), 'Admin/Auth/Login/wxLogin') !== false) {
        session_start();
        if (empty($_SESSION['store_id']) || empty($_SESSION['wUser'])) {
            return redirect('../../../web/index.php?c=wxapp&a=display');
        }
        session()->forget('wUser');
        session()->forget('store_id');
        session()->put('store_id', $_SESSION['store_id']);
        session()->put('wUser', $_SESSION['wUser']);
        session()->put('groupid', $_SESSION['wUser']['groupid']);
    };

    if (strpos(request()->getRequestUri(), 'api') !== false) {
        //$api = app('Dingo\Api\Routing\Router');
     /*   $api->version('v1', ['namespace' => 'App\Http\Controllers'], function ($api) {
            $api->group(['middleware' => ['auth.api']], function ($api) {*/
// Furniture::parseRoute();
                //$route_url = $_SESSION['route'];
        $route_url = request()->input('route');
        if (isset($apiRoute[$route_url])) {
            $route_url_r = $apiRoute[$route_url]['real'];
            $route_url_r = ucfirst($route_url_r);
            $route = $baseRoute = explode('/',$route_url_r);
            if (count($route) > 1) {
                unset($route[count($route) - 1]);
                $file = app_path() . '/Http/Controllers/' . implode("/", $route) . "Controller.php";
                if (file_exists($file)) {
                    $controller = implode("\\", $route) . "Controller";
                    $action = $controller . "@" . $baseRoute[count($route)];
                    if ($apiRoute[$route_url]['auth'] == true) {
                        Route::middleware(['auth.api'])->group(function () use ($action, $route, $apiRoute, $route_url) {
                            switch ($apiRoute[$route_url]['method']) {
                                case 'get':
                                    Route::get('/', ['as' => $route[0],
                                        'uses' => $action]);
                                    break;
                                case 'post':
                                    Route::post('/', ['as' => $route[0],
                                        'uses' => $action]);
                                    break;
                                case 'any':
                                    Route::any('/', ['as' => $route[0],
                                        'uses' => $action]);
                                    break;
                            }
                        });
                    } else {
                        switch ($apiRoute[$route_url]['method']) {
                            case 'get':
                                Route::get('/', ['as' => $route[0],
                                    'uses' => $action]);
                                break;
                            case 'post':
                                Route::post('/', ['as' => $route[0],
                                    'uses' => $action]);
                                break;
                            case 'any':
                                Route::any('/', ['as' => $route[0],
                                    'uses' => $action]);
                                break;
                        }
                    }

                }
            }
        }

        /*    });
        });*/

    } else {
        $route_url = request()->input('route');
        $route_url = ucfirst($route_url);
        $route = $baseRoute = explode('/',$route_url);
        if (count($route) > 1) {
            unset($route[count($route) - 1]);
            $file = app_path() . '/Http/Controllers/' . implode("/", $route) . "Controller.php";
            if (file_exists($file)) {
                $controller = implode("\\", $route) . "Controller";
                $action = $controller . "@" . $baseRoute[count($route)];
                Route::any('/', ['as' => $route[0],
                    'uses' => $action]);
            }
        }
    }


}
